Page MenuHomePhabricator

unshelve: store information about interactive mode in shelvedstate
ClosedPublic

Authored by navaneeth.suresh on Jul 23 2019, 3:32 PM.

Details

Summary

This is a follow-up patch to 5162753c4c14. This makes unshelve
stores the information about interactive mode on conflicts.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit added a subscriber: pulkit.Jul 24 2019, 4:57 AM
pulkit added inline comments.
mercurial/shelve.py
181

We are already in shelve code, so no need to prepend shelved to the name.

Also, we can only had interactive stored in the shelved state. If it's not present in the state file, we can assume we were not running interactive unshelve.

856

unrequired change.

945

This change is unrelated to storing info about interactive in shelvedstate. Can you decouple this into a separate patch?

navaneeth.suresh marked 3 inline comments as done.Jul 24 2019, 8:06 AM
navaneeth.suresh added inline comments.
mercurial/shelve.py
945

Doing that right away!

pulkit added inline comments.Jul 24 2019, 10:51 AM
mercurial/shelve.py
181

The above comment is not done.

I meant, we don't need _noninteractive.

navaneeth.suresh marked an inline comment as done.Jul 24 2019, 1:20 PM
navaneeth.suresh updated this revision to Diff 16054.
navaneeth.suresh marked an inline comment as done.Jul 24 2019, 1:20 PM
navaneeth.suresh added inline comments.
mercurial/shelve.py
181

Done.

navaneeth.suresh marked an inline comment as done.Jul 24 2019, 1:35 PM
navaneeth.suresh updated this revision to Diff 16055.
pulkit accepted this revision.Jul 25 2019, 8:47 AM
This revision is now accepted and ready to land.Jul 25 2019, 8:47 AM
pulkit requested changes to this revision.Mon, Jul 29, 5:50 AM
This revision now requires changes to proceed.Mon, Jul 29, 5:50 AM
pulkit accepted this revision.Mon, Jul 29, 5:50 AM
This revision is now accepted and ready to land.Mon, Jul 29, 5:50 AM
yuja added a subscriber: yuja.Mon, Jul 29, 9:21 AM

@@ -936,7 +942,7 @@

if opts.get("name"):
    shelved.append(opts["name"])
  • if abortf or continuef and not interactive:

+ if abortf or continuef:

mercurial/shelve.py:938: local variable 'interactive' is assigned to but never used

Maybe --continue --interactive has to be banned if the mode can't be
overridden by the command option.

mercurial/shelve.py:938: local variable 'interactive' is assigned to but never used
Maybe --continue --interactive has to be banned if the mode can't be
overridden by the command option.

Noted. Created D6703. Thanks!